<?php
$categories = get_the_category($post->ID);
if ($categories) {
	$category_ids = array();
	foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;

	$args=array(
		'category__in' => $category_ids,
		'post__not_in' => array($post->ID),
		'showposts'=>3, // Number of related posts that will be shown.
		'caller_get_posts'=>1
	);

	$my_query = new wp_query($args);
	if( $my_query->have_posts() ) {
		echo '<div class="post-heading">مطالب مرتبط</div>';
		$postcounter = 0; while ($my_query->have_posts()) {
			$postcounter = $postcounter + 1; $my_query->the_post();
		?>
			
<div class="post-meta<?php if(0==$postcounter%3){?> columnfix<?php }?>" id="post-<?php the_ID(); ?>">
<?php $timthumb = get_theme_option('timthumb'); if($timthumb == 'Yes') { ?>
<div class="thumb"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><img src="<?php echo bloginfo('template_url'); ?>/scripts/thumb.php?src=<?php echo get_post_image(); ?>&amp;w=180&amp;h=140&amp;zc=1&amp;q=100&amp;a=t" alt="<?php the_title(); ?>" class="aligncenter" /></a></div>
<?php } else { ?>
<?php if ( has_post_thumbnail() ) { ?>
<div class="thumb"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_post_thumbnail(array(180,140), array('class' => 'aligncenter')); ?></a></div><?php } ?><?php } ?>
<h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
</div><!-- POST META <?php the_ID(); ?> END -->

			
		<?php
		}
		echo '';
	}
}
// Reset Post Data
wp_reset_postdata();
?>